# RPM specfile for gnome-audio module
# Generated Fri Mar  8 22:28:10 2002 GMT by Ximian build system
# $Id: bb_do,v 1.177 2002/03/05 23:03:00 jacob Exp $
# from $Id: ximian-build.conf,v 1.7 2002/03/04 20:40:06 dobey Exp $

%define nam	gnome-audio
%define ver	1.4.0
%define ximrev	4

Name:     	gnome-audio
Version: 	1.4.0
Release:	ximian.4
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.2 / i386
Copyright:	Public Domain
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
BuildArch:      noarch
URL:		http://www.gnome.org/
Source0:	gnome-audio-1.4.0.tar.gz
Patch0:		gnome-audio-destdir.patch
Summary:	GNOME audio files
Group:		Applications/Multimedia
Provides:	ximian-gnome-audio = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
Sound files for the GNOME desktop environment

%files
%defattr(-, root, root)
%doc README
/usr/share/sounds/gtk-events/
/usr/share/sounds/panel/
/usr/share/sounds/email.wav
/usr/share/sounds/error.wav
/usr/share/sounds/generic.wav
/usr/share/sounds/info.wav
/usr/share/sounds/log*.wav
/usr/share/sounds/shutdown1.wav
/usr/share/sounds/startup3.wav
/usr/share/sounds/warning.wav


%package -n gnome-audio-extra
Summary:	Optional Sounds for GNOME events.
Group:		Applications/Multimedia
Provides:	ximian-gnome-audio-extra = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n gnome-audio-extra
This package contains extra sound files useful for customizing the
sounds that the GNOME desktop environtment makes.

%files -n gnome-audio-extra
%defattr(-, root, root)
/usr/share/sounds/card_shuffle.wav
/usr/share/sounds/phone.wav


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-audio-1.4.0
    ;;
all)
%setup  -q -n gnome-audio-1.4.0
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    true
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE} DESTDIR=${DESTDIR}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Mar 5 2002 Ximian, Inc.

- Version: 1.4.0-ximian.4
- Summary: New build.
- New automated build.

